Retrieve all vehicles in a zone.

Submit a query to retrieve a list of all vehicles belonging to a zone.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Interplai-specified identifier of the zone.

Query Params
int32
1 to 100
Defaults to 10

The maximum number of API key records to be returned. The max can be set anywhere between 1 and 100.

string
Defaults to 1

Set the page number to skip over a certain number of records. Each page will contain the number of records set by the limit. For example, if limit is set to 10 and page is set to 5, then the first four pages are skipped corresponding to records 1-40, and page 5 is displayed with records 41-50.

string
enum
Defaults to createdTimestamp

By default, records are retrieved in descending order by the createdTimestamp field. The sort order can be changed using the orderby parameter and setting it to any field in an object.

Allowed:
string
enum
Defaults to desc

Choose for records to be in descending or ascending order.

desc : records are displayed in descending order.

asc : records are displayed in ascending order.

Allowed:
string

Filter vehicles by userVehicleIds. userVehicleIds has to be provided in comma-separated values. For example v1/zones/zoneid/vehicles?userVehicleIds=uservehicle1,uservehicle2,uservehicle3

string
enum

Filter the retrieved list of vehicles by their current availability.

onDuty : returns a list of the vehicles available to be assigned a mobility task.

onDutyPrivate : returns a list of the vehicles and the driver are online but not available to use for an optimization solution.

offDuty : returns a list of vehicles which are not available to accept any tasks.

Allowed:
string
enum

Filter vehicles by status.

available : Vehicles that are currently available to perform Vehicle routing optimization.

unavailable : Vehicles that are currently unavailable to perform Vehicle routing optimization.

off : Vehicles that are currently inactive.

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json